Bug 188336 - SELinux blocking MySQL with LDAP
SELinux blocking MySQL with LDAP
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-07 23:52 EDT by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:05:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-04-07 23:52:25 EDT
SELinux prevents the mysqld service from starting up properly if LDAP is used on
the system.

type=AVC msg=audit(1144468782.830:1380): avc:  denied  { name_connect } for 
pid=32503 comm="mysqld" dest=389 scontext=user_u:system_r:mysqld_t:s0
tcontext=system_u:object_r:ldap_port_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1144468782.830:1380): arch=40000003 syscall=102
success=no exit=-13 a0=3 a1=bfccaf10 a2=aa40a8 a3=a2a3210 items=0 pid=32503
auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 comm="mysqld"
exe="/usr/libexec/mysqld"
type=SOCKADDR msg=audit(1144468782.830:1380): saddr=02000185C0A8000B0000000000000000
type=SOCKETCALL msg=audit(1144468782.830:1380): nargs=3 a0=4 a1=a2a4560 a2=10
Comment 2 Daniel Walsh 2006-05-09 16:46:00 EDT
fixed in selinux-policy-2.2.38-1.FC5.
Comment 3 Daniel Walsh 2007-03-28 16:05:35 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.